# Update Budget Updates a Budget Endpoint: PUT /v2/budgets/{id} Version: 1.0 Security: OAuth2 ## Path parameters: - `id` (string, required) ## Header parameters: - `Idempotency-Key` (string, required) ## Request fields (application/json): - `name` (string,null) Name for the Budget. - `description` (string,null) Description of what the Budget is used for. - `parent_budget_id` (string,null) ID of parent Budget. - `owner_user_ids` (array,null) User IDs of the owners of the Budget. - `period_recurrence_type` (string,null) Period type of the Budget e.g. MONTHLY. Enum: "WEEKLY", "MONTHLY", "QUARTERLY", "YEARLY", "ONE_TIME" - `amount` (object,null) Money fields can be signed or unsigned. Fields are signed (an unsigned value will be interpreted as positive). The amount of money will be represented in the smallest denomination of the currency indicated. For example, USD 7.00 will be represented in cents with an amount of 700. - `amount.amount` (integer, required) The amount of money, in the smallest denomination of the currency indicated by currency. For example, when currency is USD, amount is in cents. Example: 700 - `amount.currency` (string,null) The type of currency, in ISO 4217 format. Example: "USD" - `limit_type` (string,null) Whether the Budget amount blocks spend. Enum: "HARD", "SOFT" - `start_date` (string,null) The date when the Budget should start counting. - `end_date` (string,null) The date when the Budget should stop counting. ## Response 200 fields (application/json): - `budget_id` (string, required) Unique ID for the Budget. - `account_id` (string, required) The Brex account this Budget belongs to. - `name` (string, required) Name for the Budget. - `description` (string,null) Description of what the Budget is used for. - `parent_budget_id` (string,null) ID of parent Budget. - `owner_user_ids` (array, required) User IDs of the owners of the Budget. - `period_recurrence_type` (string, required) Period type of the Budget e.g. MONTHLY. Enum: "WEEKLY", "MONTHLY", "QUARTERLY", "YEARLY", "ONE_TIME" - `start_date` (string,null) The date when the Budget should start counting. - `end_date` (string,null) The date when the Budget should stop counting. - `amount` (object,null) Money fields can be signed or unsigned. Fields are signed (an unsigned value will be interpreted as positive). The amount of money will be represented in the smallest denomination of the currency indicated. For example, USD 7.00 will be represented in cents with an amount of 700. - `amount.amount` (integer, required) The amount of money, in the smallest denomination of the currency indicated by currency. For example, when currency is USD, amount is in cents. Example: 700 - `amount.currency` (string,null) The type of currency, in ISO 4217 format. Example: "USD" - `spend_budget_status` (string, required) Status of the Budget e.g. ACTIVE. Enum: "ACTIVE", "ARCHIVED", "DELETED", "EXPIRED" - `limit_type` (string,null) Whether the Budget amount blocks spend. Enum: "HARD", "SOFT" ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields